package topkg

  1. Overview
  2. Docs
The transitory OCaml software packager

Install

Dune Dependency

Authors

Maintainers

Sources

topkg-1.0.0.tbz
md5=e3d76bda06bf68cb5853caf6627da603

Description

Topkg is a packager for distributing OCaml software. It provides an API to describe the files a package installs in a given build configuration and to specify information about the package's distribution, creation and publication procedures.

The optional topkg-care package provides the topkg command line tool which helps with various aspects of a package's life cycle: creating and linting a distribution, releasing it on the WWW, publish its documentation, add it to the OCaml opam repository, etc.

Topkg is distributed under the ISC license and has no dependencies. This is what your packages will need as a build dependency.

Topkg-care is distributed under the ISC license it depends on fmt, logs, bos, cmdliner, webbrowser and opam-format.

Tags

packaging ocamlbuild org:erratique

Published: 14 Oct 2018

README

Topkg — The transitory OCaml software packager

v1.0.0

Topkg is a packager for distributing OCaml software. It provides an API to describe the files a package installs in a given build configuration and to specify information about the package's distribution, creation and publication procedures.

The optional topkg-care package provides the topkg command line tool which helps with various aspects of a package's life cycle: creating and linting a distribution, releasing it on the WWW, publish its documentation, add it to the OCaml opam repository, etc.

Topkg is distributed under the ISC license and has no dependencies. This is what your packages will need as a build dependency.

Topkg-care is distributed under the ISC license it depends on fmt, logs, bos, cmdliner, webbrowser and opam-format.

Home page: http://erratique.ch/software/topkg
Contact: Daniel Bünzli <daniel.buenzl i@erratique.ch>

Installation

Topkg and topkg-care can be installed with opam:

opam install topkg       # All you need for your packages
opam install topkg-care  # topkg binary, takes care of your packages

If you don't use opam consult the topkg.opam and topkg-care.opam files for build instructions.

Documentation

A basic introduction and API reference is automatically generated by ocamldoc from the interfaces. It can be consulted online.

The topkg command line tool is extensively documented in man pages available through it's help system. Type:

topkg help release # for help about releasing your package
topkg help         # for more help

Dependencies (4)

  1. result
  2. ocamlbuild
  3. ocamlfind build & >= "1.6.1"
  4. ocaml >= "4.01.0" & < "4.12.0"

Dev Dependencies

None

  1. afl-persistent < "1.2"
  2. alcotest >= "0.5.0" & < "0.8.0"
  3. ansi-parse < "0.4.0"
  4. anycache < "0.7.4"
  5. aperf
  6. arp < "1.0.0"
  7. asetmap
  8. asn1-combinators >= "0.1.3" & < "0.2.2"
  9. astring >= "0.8.2"
  10. b0 < "0.0.2"
  11. base64 = "2.1.2"
  12. bos < "0.2.1"
  13. bpf
  14. brr < "0.0.2"
  15. certify = "0.2"
  16. channel >= "1.1.1"
  17. charrua-client < "0.9"
  18. charrua-core >= "0.5" & < "0.8"
  19. cmdliner >= "1.0.0" & < "1.0.3"
  20. cmdtui < "0.4.3"
  21. conex < "0.10.0"
  22. cow = "2.2.0"
  23. cpuid < "0.1.2"
  24. crunch = "2.0.0"
  25. datakit < "0.10.0"
  26. datakit-bridge-github < "0.10.0"
  27. datakit-bridge-local-git < "0.10.0"
  28. datakit-client < "0.10.0"
  29. datakit-github < "0.10.0"
  30. datakit-server < "0.10.0"
  31. decompress >= "0.5" & < "0.8"
  32. depyt < "0.2.0"
  33. digestif < "0.6.1"
  34. distwit
  35. dns >= "0.19.1" & < "1.0.0"
  36. dns-forward < "0.9.0"
  37. doc-ock < "1.1.0"
  38. doc-ock-html < "1.1.0"
  39. doc-ock-xml < "1.1.0"
  40. dockerfile >= "1.7.2" & < "3.0.0"
  41. dog >= "0.2.1"
  42. domain-name < "0.1.2"
  43. down < "0.0.4"
  44. dtoa < "0.3.0"
  45. duration < "0.1.2"
  46. edn >= "0.1.2-1-g09b142a" & < "0.1.6-1-gff9db95"
  47. enumerators >= "0.2.0"
  48. ezirmin
  49. ezsqlite < "0.4"
  50. farfadet
  51. fat-filesystem = "0.12.0"
  52. fmt >= "0.8.0" & < "0.8.10"
  53. fpath
  54. functoria >= "2.0.0" & < "2.1.0"
  55. functoria-runtime < "2.1.0"
  56. gamepad
  57. gg >= "0.9.2" & < "1.0.0"
  58. git-unix >= "1.10.0" & < "1.11.1"
  59. github-hooks < "0.2.0"
  60. gmap < "0.2.1"
  61. hardcaml = "1.2.0"
  62. hardcaml-affirm
  63. hardcaml-bloop
  64. hardcaml-llvmsim >= "0.3.0"
  65. hardcaml-vpi >= "0.3.0"
  66. hardcaml-waveterm >= "0.2.0"
  67. hardcaml-yosys
  68. higher >= "0.3.1"
  69. hiredis < "0.8"
  70. hkdf = "1.0.2"
  71. hmap >= "0.8.1"
  72. integers < "0.3.0"
  73. inuit < "0.4.1"
  74. ipaddr >= "2.7.1" & < "2.8.0"
  75. ipv6-multicast < "0.9"
  76. irmin >= "0.12.0" & < "1.2.0"
  77. irmin-git < "1.2.0"
  78. irmin-http < "1.2.0"
  79. irmin-mirage < "1.2.0"
  80. irmin-unix >= "1.0.0" & < "1.2.0"
  81. irmin-watcher < "0.3.0"
  82. jekyll-format < "0.2.0"
  83. jsonm >= "1.0.0" & < "1.0.2"
  84. key-parsers >= "0.6.0" & < "0.10.0"
  85. libudev >= "0.2.1"
  86. linkage
  87. logs >= "0.6.0"
  88. logs-syslog < "0.2.0"
  89. lru < "0.3.0"
  90. mergeable-vector
  91. minima-theme
  92. mirage >= "3.0.0" & < "3.0.5"
  93. mirage-block = "1.0.0"
  94. mirage-block-lwt < "1.1.0"
  95. mirage-block-ramdisk = "0.3"
  96. mirage-block-solo5 >= "0.2.1" & < "0.6.0"
  97. mirage-bootvar-solo5 >= "0.2.0" & < "0.6.0"
  98. mirage-bootvar-xen = "0.4.0"
  99. mirage-channel < "3.1.0"
  100. mirage-channel-lwt < "3.1.0"
  101. mirage-clock < "1.3.0"
  102. mirage-clock-freestanding < "1.3.0"
  103. mirage-clock-lwt < "1.3.0"
  104. mirage-clock-unix = "1.2.0"
  105. mirage-console = "2.2.0"
  106. mirage-console-lwt < "2.3.2"
  107. mirage-console-solo5 >= "0.2.0" & < "0.6.0"
  108. mirage-console-unix >= "2.2.0" & < "2.3.2"
  109. mirage-console-xen = "2.2.0"
  110. mirage-console-xen-backend < "2.3.2"
  111. mirage-console-xen-proto < "2.3.2"
  112. mirage-device < "1.1.0"
  113. mirage-entropy < "0.5.1"
  114. mirage-flow = "1.2.0"
  115. mirage-flow-lwt < "1.3.0"
  116. mirage-flow-unix < "1.3.0"
  117. mirage-fs = "1.0.0"
  118. mirage-fs-lwt < "1.1.1"
  119. mirage-fs-unix = "1.3.0"
  120. mirage-http >= "2.5.3" & < "3.2.0"
  121. mirage-kv < "1.1.1"
  122. mirage-kv-lwt < "1.1.0"
  123. mirage-logs = "0.3.0"
  124. mirage-net = "1.0.0"
  125. mirage-net-fd < "0.2.1"
  126. mirage-net-lwt < "2.0.0"
  127. mirage-net-macosx >= "1.2.0" & < "1.4.0"
  128. mirage-net-solo5 >= "0.2.0" & < "0.4.3"
  129. mirage-net-unix >= "2.3.0" & < "2.4.1"
  130. mirage-os-shim
  131. mirage-profile = "0.8.0"
  132. mirage-profile-unix < "0.8.1"
  133. mirage-protocols < "1.2.0"
  134. mirage-protocols-lwt < "1.2.0"
  135. mirage-qubes = "0.4"
  136. mirage-random < "1.1.0"
  137. mirage-runtime < "3.0.5"
  138. mirage-solo5 >= "0.2.0" & < "0.6.2"
  139. mirage-stack < "1.1.0"
  140. mirage-stack-lwt < "1.1.0"
  141. mirage-time < "1.1.0"
  142. mirage-time-lwt < "1.1.0"
  143. mirage-types = "3.0.0"
  144. mirage-types-lwt = "3.0.0"
  145. mirage-unix >= "3.0.8" & < "3.2.0"
  146. mirage-vnetif = "0.3.1"
  147. mirage-xen >= "3.0.6" & < "3.2.0"
  148. msgpck < "1.3"
  149. mtime >= "0.8.4" & < "1.3.0"
  150. multipart-form-data < "0.2.0"
  151. named-pipe >= "0.4.0"
  152. nlp
  153. nocrypto >= "0.5.4"
  154. nosetup
  155. note < "0.0.2"
  156. notty >= "0.2.0" & < "0.2.3"
  157. obandit
  158. ocb-stubblr >= "0.1.0"
  159. ocp-index-top
  160. octavius < "1.1.0"
  161. odds < "1.1"
  162. odig < "0.0.6"
  163. odoc < "1.1.0"
  164. oml >= "0.0.7"
  165. omod < "0.0.3"
  166. opaca
  167. osx-cf >= "0.1.1"
  168. otfm >= "0.3.0"
  169. otr >= "0.3.3" & < "0.3.6"
  170. papi < "0.1.1"
  171. parse-argv < "0.1.0"
  172. pbkdf = "0.2.0"
  173. pcap-format = "0.5.0"
  174. pkcs11 < "0.18.0"
  175. ppx_compose < "0.0.4"
  176. ppx_fun < "0.0.9"
  177. protocol-9p >= "0.7.2" & < "0.10.0"
  178. psq < "0.1.1"
  179. ptime >= "0.8.1" & < "0.8.6"
  180. py < "1.1"
  181. qcow < "0.10.0"
  182. qrc
  183. randomconv < "0.1.1"
  184. rawlink >= "0.5" & < "1.0"
  185. react = "1.2.1"
  186. reason = "1.13.7" | = "3.0.0"
  187. records >= "0.7.0" & < "1.0.0"
  188. rfc6287 >= "1.0.2" & < "1.0.4"
  189. rresult >= "0.4.0" & < "0.7.0"
  190. salsa20 < "1.0.0"
  191. salsa20-core < "1.0.0"
  192. sattools
  193. scid
  194. scrypt-kdf >= "0.2.0" & < "1.0.0"
  195. sendmsg
  196. shcaml >= "0.2.0"
  197. simple-diff >= "0.2.1"
  198. statmemprof-emacs
  199. sturgeon < "0.4.2"
  200. syslog-message = "0.0.2"
  201. systemverilog < "0.0.2"
  202. tar-format >= "0.7.1"
  203. terminal_size < "0.1.4"
  204. tgls >= "0.8.4" & < "0.8.6"
  205. tls >= "0.8.0" & < "0.11.0"
  206. tlstunnel >= "0.2.0"
  207. topkg-care = "1.0.0"
  208. topkg-jbuilder
  209. tsdl >= "0.9.1" & < "0.9.8"
  210. tuntap = "1.4.1"
  211. type-beat
  212. unix-type-representations >= "0.1.1"
  213. uucd >= "4.0.0" & < "14.0.0"
  214. uucp >= "2.0.0" & < "14.0.0"
  215. uuidm >= "0.9.6" & < "0.9.8"
  216. uunf >= "2.0.0" & < "14.0.0"
  217. uuseg >= "1.0.0" & < "14.0.0"
  218. uutf >= "1.0.0" & < "1.0.3"
  219. vg >= "0.9.0" & < "0.9.5"
  220. wamp < "1.2"
  221. webbrowser
  222. x509 >= "0.6.0" & < "0.6.3"
  223. xmlm = "1.3.0"
  224. yurt < "0.6"
  225. zlist < "0.4.0"
  226. zxcvbn < "2.3+2"
OCaml

Innovation. Community. Security.